## com.google.gwt.core.ext
Interface PropertyOracle

    public interface PropertyOracle

Provides deferred binding property values.

Method Summary
`java.lang.String` `getPropertyValue(TreeLogger logger, java.lang.String propertyName)` Attempts to get a named deferred binding property.

Method Detail

### getPropertyValue

    java.lang.String getPropertyValue(TreeLogger logger,
                                      java.lang.String propertyName)
                                      throws BadPropertyValueException

  Attempts to get a named deferred binding property. Throws `BadPropertyValueException` if the property is either undefined or has a value that is unsupported.

  Parameters:
    `logger` - the current logger
    `propertyName` - the name of the property
  Returns:
    a value for the property
  Throws:
    `BadPropertyValueException`